<div>
    <h2>
        <span>Purchase Order</span>
        <button class="btn btn-primary float-right jh-create-entity create-purchasing"
            [routerLink]="['/purchasing-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Purchase Order
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br />
    <p-dataTable #dt [value]="purchasingItems" exportFilename="purchasingItems" [(selection)]="selectedPO" selectionMode="multiple" [metaKeySelection]="false">
        <p-header>
            <div class="ui-helper-clearfix">
                <button type="button" pButton icon="fa-file-o" iconPos="left" label="All Data" (click)="exportToCsv('purchasingItemExport.csv',purchasingItems)" style="float:left"></button>
                <!-- <button type="button" pButton icon="fa-file" iconPos="left" label="Selection Only" (click)="dt.exportCSV({selectionOnly:true})" style="float:right"></button> -->
            </div>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']"></p-column>
        <p-column header="tahun">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tahun}}
            </ng-template>
        </p-column>
        <p-column header="noorder">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noorder}}
            </ng-template>
        </p-column>
        <p-column header="noitem">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noitem}}
            </ng-template>
        </p-column>
        <p-column header="satuan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.satuan}}
            </ng-template>
        </p-column>
        <p-column header="qtyminta">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyminta}}
            </ng-template>
        </p-column>
        <p-column header="qtykirim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtykirim}}
            </ng-template>
        </p-column>
        <p-column header="harga">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.harga}}
            </ng-template>
        </p-column>
        <p-column header="jumlah">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.jumlah}}
            </ng-template>
        </p-column>
        <p-column header="tglkirim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tglkirim}}
            </ng-template>
        </p-column>
        <p-column header="tglorder">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tglorder}}
            </ng-template>
        </p-column>
        <p-column header="nopp">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopp}}
            </ng-template>
        </p-column>
        <p-column header="kdbahan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kdbahan}}
            </ng-template>
        </p-column>
        <p-column header="nmbahan1">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nmbahan1}}
            </ng-template>
        </p-column>
        <p-column header="nmbahan2">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nmbahan2}}
            </ng-template>
        </p-column>
        <p-column header="nmbahan3">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nmbahan3}}
            </ng-template>
        </p-column>
        <p-column header="nmbahan4">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nmbahan4}}
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-confirmDialog></p-confirmDialog>